### Method

# Gtk IconView create_drag_icon

#### Declaration [src]

    GdkPaintable*
    gtk_icon_view_create_drag_icon (
      GtkIconView* icon_view,
      GtkTreePath* path
    )

#### Description [src]

Creates a `cairo_surface_t` representation of the item at `path`. This image is used for a drag icon.

#### Parameters

`path` | `GtkTreePath`
| A `GtkTreePath` in `icon_view`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkPaintable*`
| A newly-allocated surface of the drag icon.
| The caller of the function takes ownership of the data, and is responsible for freeing it.